Package org.apache.sling.scripting.sightly.js.impl.jsapi

# Class ProxyAsyncScriptableFactory

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.jsapi.ProxyAsyncScriptableFactory

public class ProxyAsyncScriptableFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`ProxyAsyncScriptableFactory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerProxies(org.apache.sling.api.resource.ResourceResolver resourceResolver, org.apache.sling.scripting.sightly.js.impl.JsEnvironment environment, Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyAsyncScriptableFactory

public ProxyAsyncScriptableFactory()

## Method Details

### registerProxies

public void registerProxies(org.apache.sling.api.resource.ResourceResolver resourceResolver, org.apache.sling.scripting.sightly.js.impl.JsEnvironment environment, Bindings bindings)